<?php

function film_studio_footer( $wp_customize ) {
	$selective_refresh = isset( $wp_customize->selective_refresh ) ? 'postMessage' : 'refresh';
	// Footer Panel // 
	$wp_customize->add_panel( 
		'film_studio_footer_section', 
		array(
			'priority'      => 34,
			'capability'    => 'edit_theme_options',
			'title'			=> __('Footer Options', 'film-studio'),
		) 
	);

	// Footer Widgets // 
	$wp_customize->add_section(
        'film_studio_footer_top',
        array(
            'title' 		=> __('Footer Widgets','film-studio'),
			'panel'  		=> 'film_studio_footer_section',
			'priority'      => 3,
		)
    );

    // Footer Widgets Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'film_studio_footer_widgets_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'film_studio_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'film_studio_footer_widgets_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Footer Widgets', 'film-studio' ),
			'section'     => 'film_studio_footer_top',
			'settings'    => 'film_studio_footer_widgets_setting',
			'type'        => 'checkbox'
		) 
	);

	// Footer Background Image Setting
	$wp_customize->add_setting('film_studio_footer_bg_image',array(
		'default'	=> '',
		'sanitize_callback'	=> 'esc_url_raw',
	));
	$wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'film_studio_footer_bg_image',array(
	'label' => __('Footer Background Image','film-studio'),
	'section' => 'film_studio_footer_top'
	)));

	// Footer Background Image Opacity
	$wp_customize->add_setting('film_studio_footer_bg_image_opacity', array(
		'default'           => 50,
		'sanitize_callback' => 'absint',
		'capability'        => 'edit_theme_options',
	));

	$wp_customize->add_control('film_studio_footer_bg_image_opacity', array(
		'label'    => __('Footer Background Image Opacity (%)', 'film-studio'),
		'section'  => 'film_studio_footer_top',
		'type'     => 'range',
		'input_attrs' => array(
			'min'  => 0,
			'max'  => 100,
			'step' => 1,
		),
	));

	// Footer Background Color Setting
    $wp_customize->add_setting('film_studio_footer_bg_color',array(
		'default' => '#000000',
		'sanitize_callback' => 'sanitize_hex_color',
		'capability' => 'edit_theme_options',
	));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'film_studio_footer_bg_color',array(
		'label' => esc_html__('Footer Background Color', 'film-studio'),
		'section' => 'film_studio_footer_top', // Adjust section if needed
		'settings' => 'film_studio_footer_bg_color',
	)));

	$wp_customize->add_setting( 'film_studio_upgrade_page_settings_1',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Film_Studio_Control_Upgrade(
        $wp_customize, 'film_studio_upgrade_page_settings_1',
            array(
                'priority'      => 200,
                'section'       => 'film_studio_footer_top',
                'settings'      => 'film_studio_upgrade_page_settings_1',
                'label'         => __( 'Film Studio Pro comes with additional features.', 'film-studio' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'film-studio' ), __( 'One-Click Demo Import', 'film-studio' ), __( 'WooCommerce Integrated', 'film-studio' ), __( 'Drag & Drop Section Reordering', 'film-studio' ),__( 'Advanced Typography Control', 'film-studio' ),__( 'Intuitive Customization Options', 'film-studio' ),__( '24/7 Support', 'film-studio' ), )
            )
        )
    ); 

	// Footer Bottom // 
	$wp_customize->add_section(
        'film_studio_footer_bottom',
        array(
            'title' 		=> __('Footer Bottom','film-studio'),
			'panel'  		=> 'film_studio_footer_section',
			'priority'      => 3,
		)
    );

    // Site Title Hide/ Show Setting // 
	$wp_customize->add_setting( 
		'film_studio_footer_copyright_setting' , 
			array(
			'default' => '1',
			'sanitize_callback' => 'film_studio_sanitize_checkbox',
			'capability' => 'edit_theme_options',
		) 
	);
	
	$wp_customize->add_control(
	'film_studio_footer_copyright_setting', 
		array(
			'label'	      => esc_html__( 'Hide / Show Footer Copyright', 'film-studio' ),
			'section'     => 'film_studio_footer_bottom',
			'settings'    => 'film_studio_footer_copyright_setting',
			'type'        => 'checkbox'
		) 
	);
	
	// Footer Copyright Head
	$wp_customize->add_setting(
		'footer_btm_copy_head'
			,array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'film_studio_sanitize_text',
			'priority'  => 3,
		)
	);
	
	// Footer Copyright 
	$wp_customize->add_setting(
    	'film_studio_footer_copyright',
    	array(
			'capability'     	=> 'edit_theme_options',
			'sanitize_callback' => 'wp_kses_post',
			'priority'      => 4,
		)
	);

	$wp_customize->add_control( 
		'film_studio_footer_copyright',
		array(
		    'label'   		=> __('Edit Copyright Text','film-studio'),
		    'section'		=> 'film_studio_footer_bottom',
			'type' 			=> 'text',
			'transport'         => $selective_refresh,
		)  
	);

	$wp_customize->add_setting( 'film_studio_copyright_alignment', array(
        'default'   => 'center',
        'sanitize_callback' => 'film_studio_sanitize_copyright_position',
    ));

    $wp_customize->add_control( 'film_studio_copyright_alignment', array(
        'label'    => __( 'Copyright Position', 'film-studio' ),
        'section'  => 'film_studio_footer_bottom',
        'settings' => 'film_studio_copyright_alignment',
        'type'     => 'radio',
        'choices'  => array(
            'right' => __( 'Right Align', 'film-studio' ),
            'left'  => __( 'Left Align', 'film-studio' ),
            'center'  => __( 'Center Align', 'film-studio' ),
        ),
    ));

	$wp_customize->add_setting( 'film_studio_upgrade_page_settings_2',
        array(
            'sanitize_callback' => 'sanitize_text_field'
        )
    );
    $wp_customize->add_control( new Film_Studio_Control_Upgrade(
        $wp_customize, 'film_studio_upgrade_page_settings_2',
            array(
                'priority'      => 200,
                'section'       => 'film_studio_footer_bottom',
                'settings'      => 'film_studio_upgrade_page_settings_2',
                'label'         => __( 'Film Studio Pro comes with additional features.', 'film-studio' ),
                'choices'       => array( __( '15+ Ready-Made Sections', 'film-studio' ), __( 'One-Click Demo Import', 'film-studio' ), __( 'WooCommerce Integrated', 'film-studio' ), __( 'Drag & Drop Section Reordering', 'film-studio' ),__( 'Advanced Typography Control', 'film-studio' ),__( 'Intuitive Customization Options', 'film-studio' ),__( '24/7 Support', 'film-studio' ), )
            )
        )
    ); 
}
add_action( 'customize_register', 'film_studio_footer' );

// Footer selective refresh
function film_studio_footer_partials( $wp_customize ){
	// footer_copyright
	$wp_customize->selective_refresh->add_partial( 'footer_copyright', array(
		'selector'            => '.copy-right .copyright-text',
		'settings'            => 'footer_copyright',
		'render_callback'  => 'film_studio_footer_copyright_render_callback',
	) );
}
add_action( 'customize_register', 'film_studio_footer_partials' );

// copyright_content
function film_studio_footer_copyright_render_callback() {
	return get_theme_mod( 'footer_copyright' );
}